Name:           sugar-pippy
Version:        34
Release:        6%{?dist}
Summary:        Pippy for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.laptop.org/go/Pippy
Source0:        http://download.sugarlabs.org/sources/sucrose/fructose/Pippy/Pippy-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  sugar-toolkit
BuildRequires:  gettext 

Requires:       sugar
Requires:       pygame
#Requires:       sugar-tamtam-edit


%description
Teaches Python programming by providing access to Python code samples
and a fully interactive Python interpreter.

The user can type and execute simple Python expressions. For example,
it would be possible for a user to write Python statements to calculate
expressions, play sounds, or make simple text animation. 


%prep
%setup -q -n Pippy-%{version}
#Fix permissions
chmod -x library/pippy/physics/*.py
for Files in library/pippy/physics/box2d/box2d_linux32/Box2D2.py \
    library/pippy/physics/box2d/box2d_linux64/Box2D2.py \
    library/pippy/physics/box2d/box2d_linux64/__init__.py \
    library/pippy/physics/box2d/box2d_linux32/__init__.py \
    library/pippy/physics/box2d/__init__.py ; do
  chmod -x ${Files}
done
#Remove pre-compiled stuff
for Files in library/pippy/physics/box2d/box2d_linux32/_Box2D2.so \
    library/pippy/physics/box2d/box2d_linux64/_Box2D2.so ; do
  %{__rm} ${Files}
done
#Remove shebang
for Files in data/graphics/xolympics \
    library/pippy/physics/elements.py \
    pippy_app.py ; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.Pippy


%clean
rm -rf %{buildroot}


%files -f org.laptop.Pippy.lang
%defattr(-,root,root,-)
%doc NEWS
%{sugaractivitydir}/Pippy.activity/


%changelog
* Mon Dec 14 2009 Peter Robinson <pbrobinson@gmail.com> - 34-6
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539103

* Sat Aug 15 2009 Fabian Affolter <fabian@bernewireless.net> - 34-5
- Bump release for a new build

* Thu Aug 13 2009 Fabian Affolter <fabian@bernewireless.net> - 34-4
- Remove the pre-compiled stuff
- Re-added noarch

* Mon Aug  3 2009 Ville Skyttä <ville.skytta at iki.fi> - 34-3
- Disable -debuginfo properly.

* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 34-2
- Removed noarch

* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 34-1
- Added part to fix permissions and removing shebangs
- This package is not longer noarch
- Updated to new upstream version 34

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Fabian Affolter <fabian@bernewireless.net> - 30-1
- Updated to new upstream version 30

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Fabian Affolter <fabian@bernewireless.net> - 25-2
- Added some requirements

* Sun Jan 25 2009 Fabian Affolter <fabian@bernewireless.net> - 25-1
- Initial package for Fedora

